%global pypi_name QtPy
%global simple_name qtpy

Name:           python-%{pypi_name}
Version:        1.2.1
Release:        1%{?dist}
Summary:        Provides an abstraction layer on top of the various Qt bindings

License:        MIT and BSD
URL:            https://github.com/spyder-ide/%{simple_name}
Source0:        https://github.com/spyder-ide/%{simple_name}/archive/v%{version}/%{simple_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description

QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets you 
write applications using a single API call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout 
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from 
qtpy instead of PyQt5.

%package -n     python2-%{pypi_name}
Summary:        Provides an abstraction layer on top of various Qt bindings
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}

QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets you 
write applications using a single API call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout 
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from 
qtpy instead of PyQt5.

%package -n     python3-%{pypi_name}
Summary:        Provides an abstraction layer on top of the various Qt bindings
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}

QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets you 
write applications using a single API call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout 
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from 
qtpy instead of PyQt5.

%prep
%autosetup -n %{simple_name}-%{version}

rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{python2_sitelib}/qtpy
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{python3_sitelib}/qtpy
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Mar 17 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1.2-6
- Rebuild for Python 3.6

* Fri Sep 30 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.1.2-5
- Add BSD in license

* Fri Sep 30 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.1.2-4
- Add doc files

* Thu Sep 29 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.1.2-3
- Fix source URL

* Thu Sep 29 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.1.2-2
- Fix license installation

* Thu Aug 11 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.1.2-1
- Initial package.
